# Uses of Record Class
com.usatiuk.dhfs.jkleppmanntree.structs.JKleppmannTreeNode

Packages that use JKleppmannTreeNode
Package
Description
com.usatiuk.dhfs.jkleppmanntree
com.usatiuk.dhfs.jkleppmanntree.structs

## Uses of JKleppmannTreeNode in com.usatiuk.dhfs.jkleppmanntree

Methods in com.usatiuk.dhfs.jkleppmanntree that return JKleppmannTreeNode
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`createNewNode(JObjectKey key, JObjectKey parent, JKleppmannTreeNodeMeta meta)`
`JKleppmannTreeNode`
JKleppmannTreeManager.JKleppmannTree.JKleppmannTreeStorageInterface.`getById(JObjectKey id)`

## Uses of JKleppmannTreeNode in com.usatiuk.dhfs.jkleppmanntree.structs

Methods in com.usatiuk.dhfs.jkleppmanntree.structs that return JKleppmannTreeNode
Modifier and Type
Method
Description
`JKleppmannTreeNode`
JKleppmannTreeNodeHolder.`node()`
Returns the value of the `node` record component.
`JKleppmannTreeNode`
JKleppmannTreeNode.`withChildren(org.pcollections.PMap<String,JObjectKey> children)`
`JKleppmannTreeNode`
JKleppmannTreeNode.`withLastEffectiveOp(OpMove<Long,PeerId,JKleppmannTreeNodeMeta,JObjectKey> lastEffectiveOp)`
`JKleppmannTreeNode`
JKleppmannTreeNode.`withMeta(JKleppmannTreeNodeMeta meta)`
`JKleppmannTreeNode`
JKleppmannTreeNode.`withParent(JObjectKey parent)`
Methods in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type JKleppmannTreeNode
Modifier and Type
Method
Description
`JKleppmannTreeNodeHolder`
JKleppmannTreeNodeHolder.`withNode(JKleppmannTreeNode node)`
Constructors in com.usatiuk.dhfs.jkleppmanntree.structs with parameters of type JKleppmannTreeNode
Modifier
Constructor
Description
``
`JKleppmannTreeNodeHolder(JKleppmannTreeNode node)`
``
`JKleppmannTreeNodeHolder(JKleppmannTreeNode node, boolean frozen)`
``
`JKleppmannTreeNodeHolder(org.pcollections.PCollection<JDataRef> refsFrom, boolean frozen, JKleppmannTreeNode node)`
Creates an instance of a `JKleppmannTreeNodeHolder` record class.